
from .core import (check_folder_access, migrate, collectstatic, do_relaunch_server,
    export_version, do_sync_web, create_config, clean_export_folder,
    sync_install_build, do_create_virtualenv, clean_rsync_folder, rsync_export,
    do_sync_comp, get_comp_versions_dict, SyncComp)

__all__ = ["check_folder_access", "migrate", "collectstatic", "do_sync_comp",
    "export_version", "do_sync_web", "create_config", "clean_export_folder", "relaunch_server",
    "do_sync_ldt", "sync_install_build", "do_create_virtualenv", "clean_rsync_folder", "rsync_export",
    "get_comp_versions_dict", "SyncComp"]

VERSION = (0, 1, 0, "dev", 0)


def get_version():
    version = '%s.%s' % (VERSION[0], VERSION[1])
    if VERSION[2]:
        version = '%s.%s' % (version, VERSION[2])
    if VERSION[3:] == ('alpha', 0):
        version = '%s.pre-alpha' % version
    elif VERSION[3] != 'final':
        version = '%s.%s.%s' % (version, VERSION[3], VERSION[4])
    return version


__version__ = get_version()
